#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define PORT 1234

int
main( int argc, char *argv[] )
{
	int s;
	struct sockaddr_in sa;
	char buf[100];
	int i;

	s = socket(PF_INET, SOCK_STREAM, 0);
	if (s == -1) {
		perror("socket");
		exit(1);
	}

	memset(&sa, 0, sizeof sa);
	sa.sin_family = AF_INET;
	sa.sin_port = htons(PORT);
	sa.sin_addr.s_addr = inet_addr("127.0.0.1");
	if (connect(s, (void *)&sa, sizeof sa) != 0) {
		perror("bind");
		exit(1);
	}

	for (i = 0; i < 100; i++) {
		write(s, buf, sizeof(buf));
	}

	sleep(10);
	
	return 0;
}
