#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define PORT 1234

int
main( int argc, char *argv[] )
{
	int listen_fd;
	struct sockaddr_in sa;
	struct sockaddr conn_sa;
	int conn_sa_len;
	int accept_fd;
	char buf[100];

	listen_fd = socket(PF_INET, SOCK_STREAM, 0);
	if (listen_fd == -1) {
		perror("socket");
		exit(1);
	}

	memset(&sa, 0, sizeof sa);
	sa.sin_family = AF_INET;
	sa.sin_port = htons(PORT);
	sa.sin_addr.s_addr = htonl(INADDR_ANY);
	if (bind(listen_fd, (void *)&sa, sizeof sa) != 0) {
		perror("bind");
		exit(1);
	}

	if (listen(listen_fd, 5) != 0) {
		perror("listen");
		exit(1);
	}

	conn_sa_len = sizeof(conn_sa);
	accept_fd = accept(listen_fd, &conn_sa, &conn_sa_len);
	if (accept_fd == -1) {
		perror("accept");
		exit(1);
	}

	read(accept_fd, buf, sizeof(buf));

	sleep(1);

//	printf("%s\n", 1);
}
